`<fs>` | (Feature structure) analyzes a collection of features and feature alternations as a structural unit.
Attributes: |
`type` | provides a type for a feature structure.
| Datatype: CDATA
| Values: Character string, e.g. word structure.
| Default: #IMPLIED
`feats` | pointer to features.
| Datatype: IDREFS
| Values: list of individual IDs for features.
| Default: #IMPLIED
Note | May be used instead of having features as content.
`rel` | indicates the relation of the given content to the actual content or value of the feature structure.
| Datatype: (eq|ne|sb|ns)
| Legal values: |
`eq` | indicates that the actual content is that given.
`ne` | indicates that the actual content is not that given.
`sb` | indicates that the actual content is subsumed by the given content.
`ns` | indicates that the actual content is not subsumed by the given content.
| Default: sb
Note | The `<fs>` element is the only one for which the default `rel` attribute value is sb. For all others, it is eq.

Example

    <fs type='agreement structure' rel=ns>
       <f name=person><sym value=third></f>
       <f name=number><sym value=singular></f>
       </fs>

Tagset additional tag set for feature structures
Class complexVal, metadata [and indirectly also:] featureVal, globincl
Filename `teifs2`
Content: Zero or more features or (feature) alternations.
Parents bicond cond f fAlt fsLib if vAlt vDefault vRange
Children alt f fAlt
Declaration

    <!ELEMENT fs            - -  ((f | fAlt | alt)*)                >
    <!ATTLIST fs                 %a.global
              type               CDATA               #IMPLIED
              feats              IDREFS              #IMPLIED
              rel                (eq | ne | sb | ns) sb             >

See 16.2

Back to index